searchNodes=[{"doc":"","ref":"JSON.LD.html","title":"JSON.LD","type":"module"},{"doc":"Compacts the given input according to the steps in the JSON-LD Compaction Algorithm.Compaction is the process of applying a developer-supplied context to shorten IRIs to terms or compact IRIs and JSON-LD values expressed in expanded form to simple values such as strings or numbers. Often this makes it simpler to work with document as the data is expressed in application-specific terms. Compacted documents are also typically easier to read for humans.-- https://www.w3.org/TR/json-ld/#compacted-document-formDetails at https://www.w3.org/TR/json-ld-api/#compaction-algorithms","ref":"JSON.LD.html#compact/3","title":"JSON.LD.compact/3","type":"function"},{"doc":"Generator function for JSON.LD.Contexts.You can either pass a map with a &quot;@context&quot; key having the JSON-LD context object its value, or the JSON-LD context object directly.","ref":"JSON.LD.html#context/2","title":"JSON.LD.context/2","type":"function"},{"doc":"Expands the given input according to the steps in the JSON-LD Expansion Algorithm.Expansion is the process of taking a JSON-LD document and applying a @context such that all IRIs, types, and values are expanded so that the @context is no longer necessary.-- https://www.w3.org/TR/json-ld/#expanded-document-formDetails at http://json-ld.org/spec/latest/json-ld-api/#expansion-algorithm","ref":"JSON.LD.html#expand/2","title":"JSON.LD.expand/2","type":"function"},{"doc":"Flattens the given input according to the steps in the JSON-LD Flattening Algorithm.Flattening collects all properties of a node in a single JSON object and labels all blank nodes with blank node identifiers. This ensures a shape of the data and consequently may drastically simplify the code required to process JSON-LD in certain applications.-- https://www.w3.org/TR/json-ld/#flattened-document-formDetails at https://www.w3.org/TR/json-ld-api/#flattening-algorithms","ref":"JSON.LD.html#flatten/3","title":"JSON.LD.flatten/3","type":"function"},{"doc":"Returns if the given value is a JSON-LD keyword.","ref":"JSON.LD.html#keyword?/1","title":"JSON.LD.keyword?/1","type":"function"},{"doc":"The set of all JSON-LD keywords.see https://www.w3.org/TR/json-ld/#syntax-tokens-and-keywords","ref":"JSON.LD.html#keywords/0","title":"JSON.LD.keywords/0","type":"function"},{"doc":"Generator function for JSON-LD node maps.","ref":"JSON.LD.html#node_map/2","title":"JSON.LD.node_map/2","type":"function"},{"doc":"","ref":"JSON.LD.html#read_file/2","title":"JSON.LD.read_file/2","type":"function"},{"doc":"","ref":"JSON.LD.html#read_file!/2","title":"JSON.LD.read_file!/2","type":"function"},{"doc":"","ref":"JSON.LD.html#read_string/2","title":"JSON.LD.read_string/2","type":"function"},{"doc":"","ref":"JSON.LD.html#read_string!/2","title":"JSON.LD.read_string!/2","type":"function"},{"doc":"","ref":"JSON.LD.html#write_file/3","title":"JSON.LD.write_file/3","type":"function"},{"doc":"","ref":"JSON.LD.html#write_file!/3","title":"JSON.LD.write_file!/3","type":"function"},{"doc":"","ref":"JSON.LD.html#write_string/2","title":"JSON.LD.write_string/2","type":"function"},{"doc":"","ref":"JSON.LD.html#write_string!/2","title":"JSON.LD.write_string!/2","type":"function"},{"doc":"","ref":"JSON.LD.Compaction.html","title":"JSON.LD.Compaction","type":"module"},{"doc":"","ref":"JSON.LD.Compaction.html#compact/3","title":"JSON.LD.Compaction.compact/3","type":"function"},{"doc":"IRI CompactionDetails at https://www.w3.org/TR/json-ld-api/#iri-compaction","ref":"JSON.LD.Compaction.html#compact_iri/6","title":"JSON.LD.Compaction.compact_iri/6","type":"function"},{"doc":"Value CompactionDetails at https://www.w3.org/TR/json-ld-api/#value-compaction","ref":"JSON.LD.Compaction.html#compact_value/4","title":"JSON.LD.Compaction.compact_value/4","type":"function"},{"doc":"Term SelectionDetails at https://www.w3.org/TR/json-ld-api/#term-selection","ref":"JSON.LD.Compaction.html#select_term/5","title":"JSON.LD.Compaction.select_term/5","type":"function"},{"doc":"","ref":"JSON.LD.Context.html","title":"JSON.LD.Context","type":"module"},{"doc":"","ref":"JSON.LD.Context.html#base/1","title":"JSON.LD.Context.base/1","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#create/2","title":"JSON.LD.Context.create/2","type":"function"},{"doc":"Expands the given input according to the steps in the JSON-LD Create Term Definition Algorithm.see https://www.w3.org/TR/json-ld-api/#create-term-definition","ref":"JSON.LD.Context.html#create_term_definition/5","title":"JSON.LD.Context.create_term_definition/5","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#empty?/1","title":"JSON.LD.Context.empty?/1","type":"function"},{"doc":"Inverse Context Creation algorithmDetails at https://www.w3.org/TR/json-ld-api/#inverse-context-creation","ref":"JSON.LD.Context.html#inverse/1","title":"JSON.LD.Context.inverse/1","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#language/2","title":"JSON.LD.Context.language/2","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#new/1","title":"JSON.LD.Context.new/1","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#update/4","title":"JSON.LD.Context.update/4","type":"function"},{"doc":"","ref":"JSON.LD.Context.html#t:local/0","title":"JSON.LD.Context.local/0","type":"type"},{"doc":"","ref":"JSON.LD.Context.html#t:remote/0","title":"JSON.LD.Context.remote/0","type":"type"},{"doc":"","ref":"JSON.LD.Context.html#t:t/0","title":"JSON.LD.Context.t/0","type":"type"},{"doc":"","ref":"JSON.LD.Context.html#t:value/0","title":"JSON.LD.Context.value/0","type":"type"},{"doc":"","ref":"JSON.LD.Context.TermDefinition.html","title":"JSON.LD.Context.TermDefinition","type":"module"},{"doc":"","ref":"JSON.LD.Context.TermDefinition.html#t:t/0","title":"JSON.LD.Context.TermDefinition.t/0","type":"type"},{"doc":"","ref":"JSON.LD.Decoder.html","title":"JSON.LD.Decoder","type":"module"},{"doc":"","ref":"JSON.LD.Decoder.html#node_to_rdf/1","title":"JSON.LD.Decoder.node_to_rdf/1","type":"function"},{"doc":"","ref":"JSON.LD.Decoder.html#parse_json/2","title":"JSON.LD.Decoder.parse_json/2","type":"function"},{"doc":"","ref":"JSON.LD.Decoder.html#parse_json!/2","title":"JSON.LD.Decoder.parse_json!/2","type":"function"},{"doc":"","ref":"JSON.LD.Decoder.html#to_rdf/2","title":"JSON.LD.Decoder.to_rdf/2","type":"function"},{"doc":"Loader used to retrieve remote documents and contexts.as specified at https://www.w3.org/TR/json-ld-api/#idl-def-LoadDocumentCallback","ref":"JSON.LD.DocumentLoader.html","title":"JSON.LD.DocumentLoader","type":"behaviour"},{"doc":"","ref":"JSON.LD.DocumentLoader.html#c:load/2","title":"JSON.LD.DocumentLoader.load/2","type":"callback"},{"doc":"","ref":"JSON.LD.DocumentLoader.Default.html","title":"JSON.LD.DocumentLoader.Default","type":"module"},{"doc":"Callback implementation for JSON.LD.DocumentLoader.load/2.","ref":"JSON.LD.DocumentLoader.Default.html#load/2","title":"JSON.LD.DocumentLoader.Default.load/2","type":"function"},{"doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html","title":"JSON.LD.DocumentLoader.RemoteDocument","type":"module"},{"doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#t:t/0","title":"JSON.LD.DocumentLoader.RemoteDocument.t/0","type":"type"},{"doc":"","ref":"JSON.LD.Encoder.html","title":"JSON.LD.Encoder","type":"module"},{"doc":"","ref":"JSON.LD.Encoder.html#from_rdf/2","title":"JSON.LD.Encoder.from_rdf/2","type":"function"},{"doc":"","ref":"JSON.LD.Encoder.html#from_rdf!/2","title":"JSON.LD.Encoder.from_rdf!/2","type":"function"},{"doc":"","ref":"JSON.LD.Encoder.html#t:input/0","title":"JSON.LD.Encoder.input/0","type":"type"},{"doc":"","ref":"JSON.LD.Expansion.html","title":"JSON.LD.Expansion","type":"module"},{"doc":"","ref":"JSON.LD.Expansion.html#expand/2","title":"JSON.LD.Expansion.expand/2","type":"function"},{"doc":"Details at http://json-ld.org/spec/latest/json-ld-api/#value-expansion","ref":"JSON.LD.Expansion.html#expand_value/3","title":"JSON.LD.Expansion.expand_value/3","type":"function"},{"doc":"","ref":"JSON.LD.Flattening.html","title":"JSON.LD.Flattening","type":"module"},{"doc":"","ref":"JSON.LD.Flattening.html#flatten/3","title":"JSON.LD.Flattening.flatten/3","type":"function"},{"doc":"Node Map GenerationDetails at https://www.w3.org/TR/json-ld-api/#node-map-generation","ref":"JSON.LD.Flattening.html#generate_node_map/7","title":"JSON.LD.Flattening.generate_node_map/7","type":"function"},{"doc":"","ref":"JSON.LD.Flattening.html#node_map/2","title":"JSON.LD.Flattening.node_map/2","type":"function"},{"doc":"","ref":"JSON.LD.IRIExpansion.html","title":"JSON.LD.IRIExpansion","type":"module"},{"doc":"see http://json-ld.org/spec/latest/json-ld-api/#iri-expansion","ref":"JSON.LD.IRIExpansion.html#expand_iri/6","title":"JSON.LD.IRIExpansion.expand_iri/6","type":"function"},{"doc":"","ref":"JSON.LD.NodeIdentifierMap.html","title":"JSON.LD.NodeIdentifierMap","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"JSON.LD.NodeIdentifierMap.html#child_spec/1","title":"JSON.LD.NodeIdentifierMap.child_spec/1","type":"function"},{"doc":"Generate Blank Node IdentifierDetails at https://www.w3.org/TR/json-ld-api/#generate-blank-node-identifier","ref":"JSON.LD.NodeIdentifierMap.html#generate_blank_node_id/2","title":"JSON.LD.NodeIdentifierMap.generate_blank_node_id/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"JSON.LD.NodeIdentifierMap.html#init/1","title":"JSON.LD.NodeIdentifierMap.init/1","type":"function"},{"doc":"","ref":"JSON.LD.NodeIdentifierMap.html#start_link/1","title":"JSON.LD.NodeIdentifierMap.start_link/1","type":"function"},{"doc":"","ref":"JSON.LD.NodeIdentifierMap.html#stop/3","title":"JSON.LD.NodeIdentifierMap.stop/3","type":"function"},{"doc":"Options accepted by the JSON-LD processing algorithms.as specified at https://www.w3.org/TR/json-ld-api/#the-jsonldoptions-type","ref":"JSON.LD.Options.html","title":"JSON.LD.Options","type":"module"},{"doc":"","ref":"JSON.LD.Options.html#new/0","title":"JSON.LD.Options.new/0","type":"function"},{"doc":"","ref":"JSON.LD.Options.html#new/1","title":"JSON.LD.Options.new/1","type":"function"},{"doc":"","ref":"JSON.LD.Options.html#t:t/0","title":"JSON.LD.Options.t/0","type":"type"},{"doc":"","ref":"JSON.LD.Utils.html","title":"JSON.LD.Utils","type":"module"},{"doc":"Resolves a relative IRI against a base IRI.as specified in section 5.1 Establishing a Base URI of RFC3986. Only the basic algorithm in section 5.2 of RFC3986 is used; neither Syntax-Based Normalization nor Scheme-Based Normalization are performed.Characters additionally allowed in IRI references are treated in the same way that unreserved characters are treated in URI references, per section 6.5 of RFC3987","ref":"JSON.LD.Utils.html#absolute_iri/2","title":"JSON.LD.Utils.absolute_iri/2","type":"function"},{"doc":"Checks if the given value is a blank node identifier.A blank node identifier is a string that can be used as an identifier for a blank node within the scope of a JSON-LD document.Blank node identifiers begin with _:see https://www.w3.org/TR/json-ld-api/#dfn-blank-node-identifier","ref":"JSON.LD.Utils.html#blank_node_id?/1","title":"JSON.LD.Utils.blank_node_id?/1","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#compact_iri_parts/2","title":"JSON.LD.Utils.compact_iri_parts/2","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#index?/1","title":"JSON.LD.Utils.index?/1","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#list?/1","title":"JSON.LD.Utils.list?/1","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#relative_iri?/1","title":"JSON.LD.Utils.relative_iri?/1","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#scalar?/1","title":"JSON.LD.Utils.scalar?/1","type":"function"},{"doc":"","ref":"JSON.LD.Utils.html#value?/1","title":"JSON.LD.Utils.value?/1","type":"function"},{"doc":"Two properties which expand to the same keyword have been detected. This might occur if a keyword and an alias thereof are used at the same time.","ref":"JSON.LD.CollidingKeywordsError.html","title":"JSON.LD.CollidingKeywordsError","type":"exception"},{"doc":"The compacted document contains a list of lists as multiple lists have been compacted to the same term.","ref":"JSON.LD.CompactionToListOfListsError.html","title":"JSON.LD.CompactionToListOfListsError","type":"exception"},{"doc":"Multiple conflicting indexes have been found for the same node.","ref":"JSON.LD.ConflictingIndexesError.html","title":"JSON.LD.ConflictingIndexesError","type":"exception"},{"doc":"A cycle in IRI mappings has been detected.","ref":"JSON.LD.CyclicIRIMappingError.html","title":"JSON.LD.CyclicIRIMappingError","type":"exception"},{"doc":"An invalid base IRI has been detected, i.e., it is neither an absolute IRI nor null.","ref":"JSON.LD.InvalidBaseIRIError.html","title":"JSON.LD.InvalidBaseIRIError","type":"exception"},{"doc":"An @container member was encountered whose value was not one of the following strings: @list, @set, or @index.","ref":"JSON.LD.InvalidContainerMappingError.html","title":"JSON.LD.InvalidContainerMappingError","type":"exception"},{"doc":"The value of the default language is not a string or null and thus invalid.","ref":"JSON.LD.InvalidDefaultLanguageError.html","title":"JSON.LD.InvalidDefaultLanguageError","type":"exception"},{"doc":"A local context contains a term that has an invalid or missing IRI mapping..","ref":"JSON.LD.InvalidIRIMappingError.html","title":"JSON.LD.InvalidIRIMappingError","type":"exception"},{"doc":"An @id member was encountered whose value was not a string.","ref":"JSON.LD.InvalidIdValueError.html","title":"JSON.LD.InvalidIdValueError","type":"exception"},{"doc":"An @index member was encountered whose value was not a string.","ref":"JSON.LD.InvalidIndexValueError.html","title":"JSON.LD.InvalidIndexValueError","type":"exception"},{"doc":"An invalid keyword alias definition has been encountered.","ref":"JSON.LD.InvalidKeywordAliasError.html","title":"JSON.LD.InvalidKeywordAliasError","type":"exception"},{"doc":"An invalid value in a language map has been detected. It has to be a string or an array of strings.","ref":"JSON.LD.InvalidLanguageMapValueError.html","title":"JSON.LD.InvalidLanguageMapValueError","type":"exception"},{"doc":"An @language member in a term definition was encountered whose value was neither a string nor null and thus invalid.","ref":"JSON.LD.InvalidLanguageMappingError.html","title":"JSON.LD.InvalidLanguageMappingError","type":"exception"},{"doc":"A language-tagged string with an invalid language value was detected.","ref":"JSON.LD.InvalidLanguageTaggedStringError.html","title":"JSON.LD.InvalidLanguageTaggedStringError","type":"exception"},{"doc":"A number, true, or false with an associated language tag was detected.","ref":"JSON.LD.InvalidLanguageTaggedValueError.html","title":"JSON.LD.InvalidLanguageTaggedValueError","type":"exception"},{"doc":"An invalid local context was detected.","ref":"JSON.LD.InvalidLocalContextError.html","title":"JSON.LD.InvalidLocalContextError","type":"exception"},{"doc":"No valid context document has been found for a referenced, remote context.","ref":"JSON.LD.InvalidRemoteContextError.html","title":"JSON.LD.InvalidRemoteContextError","type":"exception"},{"doc":"An invalid reverse property definition has been detected.","ref":"JSON.LD.InvalidReversePropertyError.html","title":"JSON.LD.InvalidReversePropertyError","type":"exception"},{"doc":"CollidingKeywordsError","ref":"JSON.LD.InvalidReversePropertyMapError.html","title":"JSON.LD.InvalidReversePropertyMapError","type":"exception"},{"doc":"An invalid value for a reverse property has been detected. The value of an inverse property must be a node object.","ref":"JSON.LD.InvalidReversePropertyValueError.html","title":"JSON.LD.InvalidReversePropertyValueError","type":"exception"},{"doc":"An invalid value for an @reverse member has been detected, i.e., the value was not a JSON object.","ref":"JSON.LD.InvalidReverseValueError.html","title":"JSON.LD.InvalidReverseValueError","type":"exception"},{"doc":"A set object or list object with disallowed members has been detected.","ref":"JSON.LD.InvalidSetOrListObjectError.html","title":"JSON.LD.InvalidSetOrListObjectError","type":"exception"},{"doc":"An invalid term definition has been detected.","ref":"JSON.LD.InvalidTermDefinitionError.html","title":"JSON.LD.InvalidTermDefinitionError","type":"exception"},{"doc":"An @type member in a term definition was encountered whose value could not be expanded to an absolute IRI.","ref":"JSON.LD.InvalidTypeMappingError.html","title":"JSON.LD.InvalidTypeMappingError","type":"exception"},{"doc":"An invalid value for an @type member has been detected, i.e., the value was neither a string nor an array of strings.","ref":"JSON.LD.InvalidTypeValueError.html","title":"JSON.LD.InvalidTypeValueError","type":"exception"},{"doc":"A typed value with an invalid type was detected.","ref":"JSON.LD.InvalidTypedValueError.html","title":"JSON.LD.InvalidTypedValueError","type":"exception"},{"doc":"A value object with disallowed members has been detected.","ref":"JSON.LD.InvalidValueObjectError.html","title":"JSON.LD.InvalidValueObjectError","type":"exception"},{"doc":"An invalid value for the @value member of a value object has been detected, i.e., it is neither a scalar nor null.","ref":"JSON.LD.InvalidValueObjectValueError.html","title":"JSON.LD.InvalidValueObjectValueError","type":"exception"},{"doc":"An invalid vocabulary mapping has been detected, i.e., it is neither an absolute IRI nor null.","ref":"JSON.LD.InvalidVocabMappingError.html","title":"JSON.LD.InvalidVocabMappingError","type":"exception"},{"doc":"A keyword redefinition has been detected.","ref":"JSON.LD.KeywordRedefinitionError.html","title":"JSON.LD.KeywordRedefinitionError","type":"exception"},{"doc":"A list of lists was detected. List of lists are not supported in this version of JSON-LD due to the algorithmic complexity.","ref":"JSON.LD.ListOfListsError.html","title":"JSON.LD.ListOfListsError","type":"exception"},{"doc":"The document could not be loaded or parsed as JSON.","ref":"JSON.LD.LoadingDocumentFailedError.html","title":"JSON.LD.LoadingDocumentFailedError","type":"exception"},{"doc":"There was a problem encountered loading a remote context.","ref":"JSON.LD.LoadingRemoteContextFailedError.html","title":"JSON.LD.LoadingRemoteContextFailedError","type":"exception"},{"doc":"Multiple HTTP Link Headers [RFC5988] using the http://www.w3.org/ns/json-ld#context link relation have been detected.","ref":"JSON.LD.MultipleContextLinkHeadersError.html","title":"JSON.LD.MultipleContextLinkHeadersError","type":"exception"},{"doc":"A cycle in remote context inclusions has been detected.","ref":"JSON.LD.RecursiveContextInclusionError.html","title":"JSON.LD.RecursiveContextInclusionError","type":"exception"},{"doc":"JSON-LD.ex An implementation of the JSON-LD standard for Elixir and RDF.ex.","ref":"readme.html","title":"JSON-LD.ex","type":"extras"},{"doc":"fully conforming JSON-LD API processorJSON-LD reader/writer for RDF.extests of the JSON-LD test suite (see here for a detailed status report)","ref":"readme.html#features","title":"JSON-LD.ex - Features","type":"extras"},{"doc":"JSON-LD FramingJSON-LD 1.1 support","ref":"readme.html#todo","title":"JSON-LD.ex - TODO","type":"extras"},{"doc":"The JSON-LD.ex Hex package can be installed as usual, by adding json_ld to your list of dependencies in mix.exs:def deps do [{:json_ld, &quot;~&gt; 0.3&quot;}] end","ref":"readme.html#installation","title":"JSON-LD.ex - Installation","type":"extras"},{"doc":"Expand a document&quot;&quot;&quot; { &quot;@context&quot;: { &quot;name&quot;: &quot;http://xmlns.com/foaf/0.1/name&quot;, &quot;homepage&quot;: { &quot;@id&quot;: &quot;http://xmlns.com/foaf/0.1/homepage&quot;, &quot;@type&quot;: &quot;@id&quot; } }, &quot;name&quot;: &quot;Manu Sporny&quot;, &quot;homepage&quot;: &quot;http://manu.sporny.org/&quot; } &quot;&quot;&quot; |&gt; Jason.decode! |&gt; JSON.LD.expandproduces[%{&quot;http://xmlns.com/foaf/0.1/homepage&quot; =&gt; [%{&quot;@id&quot; =&gt; &quot;http://manu.sporny.org/&quot;}], &quot;http://xmlns.com/foaf/0.1/name&quot; =&gt; [%{&quot;@value&quot; =&gt; &quot;Manu Sporny&quot;}]}]Compact a documentcontext = Jason.decode! &quot;&quot;&quot; { &quot;@context&quot;: { &quot;name&quot;: &quot;http://xmlns.com/foaf/0.1/name&quot;, &quot;homepage&quot;: { &quot;@id&quot;: &quot;http://xmlns.com/foaf/0.1/homepage&quot;, &quot;@type&quot;: &quot;@id&quot; } } } &quot;&quot;&quot; &quot;&quot;&quot; [ { &quot;http://xmlns.com/foaf/0.1/name&quot;: [ &quot;Manu Sporny&quot; ], &quot;http://xmlns.com/foaf/0.1/homepage&quot;: [ { &quot;@id&quot;: &quot;http://manu.sporny.org/&quot; } ] } ] &quot;&quot;&quot; |&gt; Jason.decode! |&gt; JSON.LD.compact(context)produces %{&quot;@context&quot; =&gt; %{ &quot;homepage&quot; =&gt; %{ &quot;@id&quot; =&gt; &quot;http://xmlns.com/foaf/0.1/homepage&quot;, &quot;@type&quot; =&gt; &quot;@id&quot;}, &quot;name&quot; =&gt; &quot;http://xmlns.com/foaf/0.1/name&quot; }, &quot;homepage&quot; =&gt; &quot;http://manu.sporny.org/&quot;, &quot;name&quot; =&gt; &quot;Manu Sporny&quot;}","ref":"readme.html#usage","title":"JSON-LD.ex - Usage","type":"extras"},{"doc":"JSON-LD.ex can be used to serialize or deserialize RDF graphs by using it as a RDF.ex reader and writer.dataset = JSON.LD.read_file!(&quot;file.jsonld&quot;) JSON.LD.write_file!(dataset, &quot;file.jsonld&quot;)","ref":"readme.html#rdf-reader-and-writer","title":"JSON-LD.ex - RDF Reader and Writer","type":"extras"},{"doc":"Pretty printing is possible on all writer functions with all of the formatter options of Jason, the underlying JSON encoder, to which the given options are passed through.JSON.LD.write_file!(dataset, &quot;file.jsonld&quot;, pretty: true) JSON.LD.write_string(dataset, &quot;file.jsonld&quot;, pretty: [indent: &quot;\\t&quot;])","ref":"readme.html#pretty-printing","title":"JSON-LD.ex - Pretty printing","type":"extras"},{"doc":"DocumentationGoogle Group","ref":"readme.html#getting-help","title":"JSON-LD.ex - Getting help","type":"extras"},{"doc":"see CONTRIBUTING for details.","ref":"readme.html#contributing","title":"JSON-LD.ex - Contributing","type":"extras"},{"doc":"(c) 2017-2020 Marcel Otto. MIT Licensed, see LICENSE for details.","ref":"readme.html#license-and-copyright","title":"JSON-LD.ex - License and Copyright","type":"extras"}]